# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/GeoidLibrary.cpp File Reference

`#include <string.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "GeoidLibrary.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "CCSThreadMutex.h"`
`#include "CCSThreadLock.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | EGM96_Variable_Grid
class | MSP::CCS::GeoidLibraryCleaner

## Functions

void | swapBytes (void *buffer, size_t size, size_t count)
size_t | readBinary (void *buffer, size_t size, size_t count, FILE *stream)

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = PI / 2.0
const double | TWO_PI = 2.0 * PI
const double | _180_OVER_PI = (180.0 / PI)
const int | EGM96_COLS = 1441
const int | EGM96_ROWS = 721
const int | EGM84_COLS = 37
const int | EGM84_ROWS = 19
const int | EGM84_30_MIN_COLS = 721
const int | EGM84_30_MIN_ROWS = 361
const int | EGM96_HEADER_ITEMS = 6
const double | SCALE_FACTOR_15_MINUTES = .25
const double | SCALE_FACTOR_10_DEGREES = 10
const double | SCALE_FACTOR_30_MINUTES = .5
const double | SCALE_FACTOR_1_DEGREE = 1
const double | SCALE_FACTOR_2_DEGREES = 2
const int | EGM96_ELEVATIONS = EGM96_COLS * EGM96_ROWS
const int | EGM84_ELEVATIONS = EGM84_COLS * EGM84_ROWS
const int | EGM84_30_MIN_ELEVATIONS = EGM84_30_MIN_COLS * EGM84_30_MIN_ROWS
const int | EGM96_INSET_AREAS = 53
const EGM96_Variable_Grid | EGM96_Variable_Grid_Table [EGM96_INSET_AREAS]
class MSP::CCS::GeoidLibraryCleaner | geoidLibraryCleanerInstance

## Function Documentation

size_t readBinary | ( | void * | buffer,
|  | size_t | size,
|  | size_t | count,
|  | FILE * | stream |
| ) |  |  |

Definition at line 224 of file GeoidLibrary.cpp.

void swapBytes | ( | void * | buffer,
|  | size_t | size,
|  | size_t | count |
| ) |  |  |

Definition at line 205 of file GeoidLibrary.cpp.

## Variable Documentation

const double _180_OVER_PI = (180.0 / PI)

Definition at line 115 of file GeoidLibrary.cpp.

const int EGM84_30_MIN_COLS = 721

Definition at line 120 of file GeoidLibrary.cpp.

const int EGM84_30_MIN_ELEVATIONS = EGM84_30_MIN_COLS * EGM84_30_MIN_ROWS

Definition at line 130 of file GeoidLibrary.cpp.

const int EGM84_30_MIN_ROWS = 361

Definition at line 121 of file GeoidLibrary.cpp.

const int EGM84_COLS = 37

Definition at line 118 of file GeoidLibrary.cpp.

const int EGM84_ELEVATIONS = EGM84_COLS * EGM84_ROWS

Definition at line 129 of file GeoidLibrary.cpp.

const int EGM84_ROWS = 19

Definition at line 119 of file GeoidLibrary.cpp.

const int EGM96_COLS = 1441

Definition at line 116 of file GeoidLibrary.cpp.

const int EGM96_ELEVATIONS = EGM96_COLS * EGM96_ROWS

Definition at line 128 of file GeoidLibrary.cpp.

const int EGM96_HEADER_ITEMS = 6

Definition at line 122 of file GeoidLibrary.cpp.

const int EGM96_INSET_AREAS = 53

Definition at line 131 of file GeoidLibrary.cpp.

const int EGM96_ROWS = 721

Definition at line 117 of file GeoidLibrary.cpp.

const EGM96_Variable_Grid EGM96_Variable_Grid_Table[EGM96_INSET_AREAS]

Definition at line 144 of file GeoidLibrary.cpp.

class MSP::CCS::GeoidLibraryCleaner geoidLibraryCleanerInstance

const double PI = 3.14159265358979323e0

Definition at line 112 of file GeoidLibrary.cpp.

const double PI_OVER_2 = PI / 2.0

Definition at line 113 of file GeoidLibrary.cpp.

const double SCALE_FACTOR_10_DEGREES = 10

Definition at line 124 of file GeoidLibrary.cpp.

const double SCALE_FACTOR_15_MINUTES = .25

Definition at line 123 of file GeoidLibrary.cpp.

const double SCALE_FACTOR_1_DEGREE = 1

Definition at line 126 of file GeoidLibrary.cpp.

const double SCALE_FACTOR_2_DEGREES = 2

Definition at line 127 of file GeoidLibrary.cpp.

const double SCALE_FACTOR_30_MINUTES = .5

Definition at line 125 of file GeoidLibrary.cpp.

const double TWO_PI = 2.0 * PI

Definition at line 114 of file GeoidLibrary.cpp.